org.bouncycastle.crypto.params

## Class X25519PrivateKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.crypto.params.X25519PrivateKeyParameters

- All Implemented Interfaces:
    CipherParameters

      public final class X25519PrivateKeyParameters
      extends AsymmetricKeyParameter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `KEY_SIZE`
    `static int` | `SECRET_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `X25519PrivateKeyParameters(byte[] buf)`
    `X25519PrivateKeyParameters(byte[] buf, int off)`
    `X25519PrivateKeyParameters(java.io.InputStream input)`
    `X25519PrivateKeyParameters(java.security.SecureRandom random)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encode(byte[] buf, int off)`
    `X25519PublicKeyParameters` | `generatePublicKey()`
    `void` | `generateSecret(X25519PublicKeyParameters publicKey, byte[] buf, int off)`
    `byte[]` | `getEncoded()`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KEY_SIZE

          public static final int KEY_SIZE

      See Also:
        Constant Field Values

    - #### SECRET_SIZE

          public static final int SECRET_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### X25519PrivateKeyParameters

          public X25519PrivateKeyParameters(java.security.SecureRandom random)

    - #### X25519PrivateKeyParameters

          public X25519PrivateKeyParameters(byte[] buf)

    - #### X25519PrivateKeyParameters

          public X25519PrivateKeyParameters(byte[] buf,
                                            int off)

    - #### X25519PrivateKeyParameters

          public X25519PrivateKeyParameters(java.io.InputStream input)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### encode

          public void encode(byte[] buf,
                             int off)

    - #### getEncoded

          public byte[] getEncoded()

    - #### generatePublicKey

          public X25519PublicKeyParameters generatePublicKey()

    - #### generateSecret

          public void generateSecret(X25519PublicKeyParameters publicKey,
                                     byte[] buf,
                                     int off)